
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Visual Studio 2008可扩展性开发（三）：Add-In运行机制解析（上） / iVAN</title>

    <meta name="description" content="Visual Studio 2008可扩展性开发（三）：Add-In运行机制解析（上） 前言 上一篇随笔Macro和Add-In初探介绍了如何开发两者的HelloWorld程序.没错,宏确实 简单易行.不过在某些情况下,比如在商业软件中,宏在性能和知识产权方面可能会带来 麻烦,此时那把更好的锤子是Add-In. 在初探一文中,我介绍了如何使用Add-In向导来开发第一个Add-In.VS是一款很棒的 开发工具,它的各种向导(以及其它模板.可视化工具等)做得非常好,不过我发现这一 强大之处到头来反而给人诟病.其中一种说法是,这些方便的工具让初学者入门容易,并 惯坏了他们,以致于想登堂">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Visual Studio 2008可扩展性开发（三）：Add-In运行机制解析（上）</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>前言</p>
<p>上一篇随笔Macro和Add-In初探介绍了如何开发两者的HelloWorld程序。没错，宏确实 简单易行。不过在某些情况下，比如在商业软件中，宏在性能和知识产权方面可能会带来 麻烦，此时那把更好的锤子是Add-In。</p>
<p>在初探一文中，我介绍了如何使用Add-In向导来开发第一个Add-In。VS是一款很棒的 开发工具，它的各种向导（以及其它模板、可视化工具等）做得非常好，不过我发现这一 强大之处到头来反而给人诟病。其中一种说法是，这些方便的工具让初学者入门容易，并 惯坏了他们，以致于想登堂入室就难得多了。客观地说，这不是VS的错，VS没有阻止你去 了解这些工具的背后所在。这些工具会生成大量代码，我们需要主动去了解它们，《程序 员修炼之道》中曾提到：</p>
<p>Don't Use Wizard Code You Don't Understand</p>
<p>很明显，作者不是说不能使用向导，而是说要在了解向导的前提下使用它。尤其是你 写的代码要跟向导生成的代码混在一起的时候，这些代码终究要变成你的代码，而Add-In 的开发正是如此！所以我们必须得先了解Add-In向导做了些什么。</p>
<p>Add-In向导在收集信息</p>
<p>Add-In向导共有六步，每一步我们都可以输入一定的信息，告诉VS如何设置。这可以 看作是向导收集信息的过程，这些信息包括：</p>
<p>编程语言：可以选择C#、VB.NET、VC，如果是手工编写Add-In，就没这个限制了</p>
<p>宿主环境：Add-In可同时运行在不同版本的VS IDE和/或Macro IDE内</p>
<p>名称和描述</p>
<p>菜单命令：VS据此生成一些代码，在Tools菜单中添加一个新的菜单项</p>
<p>命令行运行支持：这样的Add-In说明它不会呈现需要用户介入的UI，如模式对话框</p>
<p>启动时加载：VS可以在启动时自动加载Add-In</p>
<p>About对话框：可以将Add-In的信息显示在About对话框中</p>
<p>信息收集完毕后，VS会生成一个新的Add-In项目。</p>
<p>Add-In项目</p>
<p>Add-In项目是一个类库项目（可以参考初探一文中做的例子），仅此而已。该项目包 含了“Connect.cs”文件，它定义了Connect类，还有一个配置文件FirstAddin.AddIn。</p>
<p>打开Connect.cs，我们仔细分析一下。Connect类实现了两个接口，一是 IDTExtensibility2，该接口用于在Add-In和IDE之间进行通信；二是IDTCommandTarget， 如果选择了向导中的UI选项，就需要实现它。</p>
<p>IDTExtensibility2包含5个方法：</p>
<p>OnConnection：在加载Add-In时调用</p>
<p>OnStartupComplete：在Add-In随着VS的启动完成加载后调用</p>
<p>OnAddInsUpdate：在VS加载或卸载Add-In时调用</p>
<p>OnBeginShutdown：在VS关闭时调用</p>
<p>OnDisconnection：在卸载Add-In时调用</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 11:38:13</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/%e4%bb%a3%e7%a0%81/" title="代码">代码</a>, <a href="https://www.iamivan.net/tag/%e4%bf%a1%e6%81%af/" title="信息">信息</a>, <a href="https://www.iamivan.net/tag/%e7%94%9f%e6%88%90/" title="生成">生成</a>, <a href="https://www.iamivan.net/tag/%e5%90%91%e5%af%bc/" title="向导">向导</a>, <a href="https://www.iamivan.net/tag/%e9%a1%b9%e7%9b%ae/" title="项目">项目</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Visual Studio 2008可扩展性开发（三）：Add-In运行机制解析（上）的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/balNONz.html" rel="bookmark">Visual Studio 2008可扩展性开发（九）：总结篇</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				可以说木匠让小时的我第一次感受到了专业,虽然那时还不知道专业这个词,尤其是 那些有年纪的老木匠,专注地在那锯木头.钉钉子.刨出带着香味的木花.他们有其他人 所没有的工具,更重要的是他们掌握了那些工具.VS正是我们手头的工具,它可以是锤子 ,也可以是锯.刨子,如果你能掌握它,而且要掌握的好. 我向来喜欢了解手头工具的方方面面(也许与我的思维方式有关,总想了解得更多) .我甚至觉得,对于最常用的工具,了解得越多越好--今天掌握了一个小功能,未来两 三年都会受益. 上面是我对工具的一点感想.VS越来越			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJkJ96b.html" rel="bookmark">Visual Studio 2008 可扩展性开发（三）：Add-In运行机制解析（上）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 上一篇随笔Macro和Add-In初探介绍了如何开发两者的HelloWorld程序.没错,宏确实简单易行.不过在某些情况下,比如在商业软件中,宏在性能和知识产权方面可能会带来麻烦,此时那把更好的锤子是Add-In. 在初探一文中,我介绍了如何使用Add-In向导来开发第一个Add-In.VS是一款很棒的开发工具,它的各种向导(以及其它模板.可视化工具等)做得非常好,不过我发现这一强大之处到头来反而给人诟病.其中一种说法是,这些方便的工具让初学者入门容易,并惯坏了他们,以致于想登堂入室就难得			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmB2O3z.html" rel="bookmark">Visual Studio 2008 可扩展性开发（三）：Add-In运行机制解析（下）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 在上篇Add-In运行机制解析(上)中,我分析了Add-In向导生成的代码,从中我们知道只要创建一个类库,它包含实现了IDTExtensibility2接口的类,然后为其建立.addin配置文件,就可以实现一个Add-In了.本文将更进一步,介绍Add-In的事件和生命周期,为今后的开发打下基础. Add-In的事件 Add-In是事件驱动的,可以猜到的事件有加载.卸载.状态改变等等.事实上,这些事件都与IDTExtensibility2接口有关,也就是该接口的5个方法: 如果要了解这些方			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJ7oD4b.html" rel="bookmark">Visual Studio 2008可扩展性开发（三）：Add-In运行机制解析（下）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 在上篇Add-In运行机制解析(上)中,我分析了Add-In向导生成的代码,从中我们知 道只要创建一个类库,它包含实现了IDTExtensibility2接口的类,然后为其建立.addin 配置文件,就可以实现一个Add-In了.本文将更进一步,介绍Add-In的事件和生命周期, 为今后的开发打下基础. Add-In的事件 Add-In是事件驱动的,可以猜到的事件有加载.卸载.状态改变等等.事实上,这些 事件都与IDTExtensibility2接口有关,也就是该接口的5个方法: 如果要了			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4NZJ9M.html" rel="bookmark">Visual Studio 2008 可扩展性开发（一）：VS概览</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 Visual Studio是微软最知名的产品之一,在使用微软技术的开发人员的心目中尤为如此.相信这一点无须多说.它建立在IDE(统一开发环境)的基础之上,可用于开发多种不同类型的应用程序. Visual Studio,通常被简称为VS(以下皆按此简称),支持多种平台和编程语言.了解VS的历史以及每个版本的更迭,对学习它的扩展性开发会很有好处.所以在这里简单地说说VS在过去的12年里的历史. VS的历史 在软件领域,VS的历史算比较长的了.在此期间,微软开发了数种编程语言和支持这些语言的可视			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZwBq5b.html" rel="bookmark">Visual Studio 2008 可扩展性开发（六）：操作Solution Explorer</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 在可扩展性开发(五)中,我介绍了对于Solution.Project.ProjectItem的基本操作.可以认为它们面向的是解决方案内容的物理(文件)表示,我们需要使用VS提供的解决方案管理器(Solution Explorer)来管理它们.毫无疑问,解决方案管理器是VS中最重要的UI元素之一,本文将介绍对它的操作. 工具窗口内的层次结构 如果你观察一下解决方案管理器和服务器管理器(Server Explorer),就会发现它们都使用树形结构来表现背后的数据.在AOM中,UIHierarc			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZ4dmOM.html" rel="bookmark">艾伟：Visual Studio 2008 可扩展性开发（六）：操作Solution Explorer</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 在可扩展性开发(五)中,我介绍了对于Solution.Project.ProjectItem的基本操作.可以认为它们面向的是解决方案内容的物理(文件)表示,我们需要使用VS提供的解决方案管理器(Solution Explorer)来管理它们.毫无疑问,解决方案管理器是VS中最重要的UI元素之一,本文将介绍对它的操作. 工具窗口内的层次结构 如果你观察一下解决方案管理器和服务器管理器(Server Explorer),就会发现它们都使用树形结构来表现背后的数据.在AOM中,UIHierarc			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mxoqg7b.html" rel="bookmark">Visual Studio 2008 可扩展性开发（二）：Macro和Add-In初探</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  前言 在VS概览中,我们简单回顾了一下VS的历史.本文将通过两个简单的例子来说明Macro和Add-In的开发.通过Macro我们把VS中的一些重复操作录制下来,之后可以多次运行,节省时间并保持好的心情:通过Add-In,我们可以自己动手来为VS添加新的功能,扩展了VS就意味着扩展了我们自己. VS 2008扩展方式一览  在上篇VS概览中提到了扩展VS有三种主要的方式:Macro.Add-In和VsPackage.事实上,还有更多的选择,这里先简单列一下: Macro Add-In VsP			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/xpn48kb.html" rel="bookmark">Visual Studio 2008可扩展性开发（一）：VS概览</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 Visual Studio是微软最知名的产品之一,在使用微软技术的开发人员的心目中尤为如 此.相信这一点无须多说.它建立在IDE(统一开发环境)的基础之上,可用于开发多种 不同类型的应用程序. Visual Studio,通常被简称为VS(以下皆按此简称),支持多种平台和编程语言.了 解VS的历史以及每个版本的更迭,对学习它的扩展性开发会很有好处.所以在这里简单地 说说VS在过去的12年里的历史. VS的历史 在软件领域,VS的历史算比较长的了.在此期间,微软开发了数种编程语言和支持这 些			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1Rv0dp.html" rel="bookmark">Visual Studio 2008可扩展性开发（八）：关于用户界面的种种（下）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				关于用户界面的种种(上)一文介绍了VS中的工具窗口.关于用户界面还有更多的内 容,比如选项页(Options Page).菜单图标,具体来说,本文介绍的内容将包括: 1)创建自定义的选项页: 2)设置菜单项的图标: 创建自定义的选项页 在安装了DPack后,可以在VS的选项页(Tools-&gt;Options)中看到新添加的一项: 开发(八):关于用户界面的种种(下)-visual studio 2015&quot;&gt; 这看起来很专业.很多时候我们开发的Add-In需要进行一定的配置,选项页是最佳			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0boeR6p.html" rel="bookmark" class="title">JSP程序员成长全计划</a>
					<div>
						1.建立并且理解你的Web Server. 因为Apache 是免费的并且在大多数平台上工作,为训练目的推荐 Apache. 安装时间:2 天. 2. 保证你理解 HTML / XHTML . 你将需 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9zeqajz.html" rel="bookmark" class="title">从工厂技术员到seo的4年辛酸史</a>
					<div>
						今天看了&lt;新手站长的建站经历,比SEO文章更有价值&gt;一文,很有共鸣,也想分享下孤藤从工厂技术员走到现在seoer的历程. 1.工科生毕业下工厂 2009年--2010年:大学毕业,总想着专 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMy7n5z.html" rel="bookmark" class="title">增加长期存活的  高质量反链四式</a>
					<div>
						笔者经常接到一些朋友的询问,外链要怎么做才好?每天到各大论坛做签名留言,顶帖发一些垃圾外链,就算外链页被收录了,但是如果不持续,过不了多久就全军覆没,真正存活下来的反链剩下不了几个,反而把自己累的够呛 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybjyl5z.html" rel="bookmark" class="title">白帽SEO之搜索引擎工作的基础流程与原理</a>
					<div>
						搜索引擎最重要的是什么?有人会说是查询结果的准确性有人会说是查询结果的丰富性但其实这些都不是搜索引擎最最致命的地方.对于搜索引擎来说最最致命的是查询时间.试想一下如果你在百度界面上查询一个关键词结果需 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9MxnKQz.html" rel="bookmark" class="title">只安装redis的redis自动安装脚本</a>
					<div>
						Redis自动安装部署 本文总共分为4个部分: redis自动安装脚本目录结构说明: redis自动安装脚本内容: redis的操作系统服务脚本说明: 本文引用的资料链接地址. 说明:本文未涉及red ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bBvk4b.html" rel="bookmark" class="title">Java集合源码剖析：HashMap源码剖析</a>
					<div>
						HashMap简介 HashMap是基于哈希表实现的,每一个元素是一个key-value对,其内部通过单链表解决冲突问题,容量不足(超过了阀值)时,同样会自动增长. HashMap是非线程安全的,只是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/balaKJz.html" rel="bookmark" class="title">超越SOA：动态业务应用的新企业应用框架</a>
					<div>
						介绍 在一篇名为&lt;动态业务应用势在必行(The Dynamic Business Applications Imperative)&gt;的论文中,Forrester的高级分析师John R.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNEknxb.html" rel="bookmark" class="title">Java编程那些事儿64&mdash;&mdash;访问控制符、修饰符和其它关键字</a>
					<div>
						访问控制符的作用是说明被声明的内容(类.属性.方法和构造方法)的访问权限,就像发布的文件一样,在文件中标注机密,就是说明该文件可以被那些人阅读. 访问控制在面向对象技术中处于很重要的地位,合理的使用访 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVnVOmz.html" rel="bookmark" class="title">Java远程通讯可选技术及原理</a>
					<div>
						在分布式服务框架中,一个最基础的问题就是远程服务是怎么通讯的,在Java领域中有很多可实现远程通讯的技术,例如:RMI.MINA.ESB.Burlap.Hessian.SOAP.EJB和JMS等,这些 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKkoEM.html" rel="bookmark" class="title">Photoshop 鼠绘梦幻冰火天使</a>
					<div>
						  笔者本次给大家带来冰火天使的详尽绘制教程,力求将冰火两重感觉都赋予到天使身上,给大家带来不一样的视觉感受,更多的方法还要请大家多多指教,共同进步.先看效果图. Photoshop绘制冰火天使最终效 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK7NYOb.html" rel="bookmark" class="title">如何用酷狗离线听歌&comma;不影响网速</a>
					<div>
						1.点击酷狗界面左上角的酷狗图标,弹出主菜单,点击该菜单的&quot;选项设置&quot;;如(图1) 图1 2.在弹出窗口中点选网络设置,勾选&quot;网络设置&quot;中最上方的&quot;关 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOaXlRM.html" rel="bookmark" class="title">Word2013中怎样使用格式刷工具</a>
					<div>
						  第1步,打开Word2013文档窗口,并选中已经设置好格式的文本块.在&quot;开始&quot;功能区的&quot;剪贴板&quot;分组中双击&quot;格式刷&quot;按钮. Word H ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZdK4aM.html" rel="bookmark" class="title">Windows 8&period;1怎么创建扩展分区？</a>
					<div>
						  第一步.选择物理磁盘 输入&quot;select disk N&quot;选择物理磁盘,这里的&quot;N&quot;代表第几块物理硬盘.假如你要对第1块物理硬盘进行操作,应该输入&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZdKJoM.html" rel="bookmark" class="title">Windows 7黑屏解决方法</a>
					<div>
						  一.win7已经黑屏的解决方法 (1)重启电脑,然后登录,等到黑屏出现;(确保你的电脑已经联网) (2)黑屏出现后,同时按住Ctrl+Alt+Delete键,然后选中任务管理器运行; (3)等任务 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjm1e5z.html" rel="bookmark" class="title">如何解决win7内存不能为read故障</a>
					<div>
						  原因分析: 1.有可能是不小心安装了浏览软件或者IE流氓插件; 2.计算机中了病毒; 3.玩游戏的时候出现内存不能为read的话就是因为显卡驱动不匹配; 4.夏天的时候硬件国人,散热又不好,就会导 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Wm98b.html" rel="bookmark" class="title">瑞星杀毒软件V16&amp;amp&semi;quot&semi;内核加固&amp;amp&semi;quot&semi;功能</a>
					<div>
						瑞星杀毒软件V16的&quot;内核加固&quot;是瑞星的独创技术.该功能会对系统动作.注册表.关键进程和系统文件进行监控,防止恶意程序绕过杀软监控对系统进行进程修改.注册表修改.关键文件破坏等危险 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7eo0M.html" rel="bookmark" class="title">linux-LFS 第六章 安装udev 出错No rule to make target &amp;amp&semi;amp&semi;&num;39&semi;build&sol;log&period;o&amp;amp&semi;amp&semi;&num;39&semi;</a>
					<div>
						问题描述 LFS 第六章 安装udev 出错No rule to make target 'build/log.o' 命令:make -f ./udev-lfs-208-3/Makefile.lfs错 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkG3xrp.html" rel="bookmark" class="title">ERROR 1130 Host is not allowed to connect to this MySQL server 问题解决</a>
					<div>
						新建了 mysql 数据库,使用 root 远程访问数据库,无法访问 问题: ERROR 1130: Host '192.168.11.104' is not allowed to connect t ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mxojkjb.html" rel="bookmark" class="title">软件版本号 详解</a>
					<div>
						软件版本号总结: V(Version): 即版本,通常用数字表示版本号.(如:EVEREST Ultimate v4.20.1188 Beta ) Build: 用数字或日期标示版本号的一种方式.(如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1lnmab.html" rel="bookmark" class="title">edittext-如何让两个 EditTexts 同步滚动？</a>
					<div>
						问题描述 如何让两个 EditTexts 同步滚动? 我想把两个 EditText 控件放在一个 LinerLayout.然后把他们分别放在左边和右边. 现在我想实现这样一个功能:当右边的EditTe ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwxw7Rb.html" rel="bookmark" class="title">Domino账户注册问题</a>
					<div>
						问题描述 1.用代理注册时,怎么控制注册账户时ACL权限,比如:张三,他对自己的邮件数据库只有&quot;编辑者&quot;权限2.把高级--Internet用户的最大权限设置为&quot;不能存放者 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKY0yZp.html" rel="bookmark" class="title">算法导论-【急求！】降低算法时间复杂度的方法？附图附代码！多谢！！</a>
					<div>
						问题描述 [急求!]降低算法时间复杂度的方法?附图附代码!多谢!! 第一次来CSDN求教大神们!恳请多多指教!!我在用matlab编写一个小算法,这个算法里面可能多次循环的嵌套,导致得到最终结果(输入 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRDoEb.html" rel="bookmark" class="title">第二届中国制造千人会在上海胜利召开 创新驱动转型成共识</a>
					<div>
						 12月8日,由中国经济体制改革研究会产业改革与企业发展委员会为指导,至顶网和工业4.0协会联合主办&quot;MIC1000第二届中国制造千人会&quot;在上海成功举办.第二届中国制造千人会以&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MydjWJb.html" rel="bookmark" class="title">问一个关于用C&num;处理word文档的问题，着急用！</a>
					<div>
						问题描述 现在要用C#打开word文档,并根据需要再次保存到word文件里,采用的是遍历每一段落,然后复制到粘贴板里,然后再复制到新的word文档里.但实际操作下来,发现有个问题:根据客户的需求,需要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZgry5b.html" rel="bookmark" class="title">android TextView设置删除线，超链接，颜色和字体等说介绍</a>
					<div>
						要给 TextView 加上特殊效果,方式主要有几种: 第一种,自动应用效果,使用 android:autolink 属性,如: &lt;TextView xmlns:android=&quot;ht ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodW23M.html" rel="bookmark" class="title">一个漏洞引发的暗战，谷歌和微软&OpenCurlyDoubleQuote;干&rdquo;上了</a>
					<div>
						前段时间,Google 专门披露安全漏洞的部门&quot;威胁分析集团&quot;(Threat Analysis group)发现了Windows的一个漏洞,具体描述为: 由于该漏洞的存在,将允许攻 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn84Job.html" rel="bookmark" class="title">详解Android Activity之间切换传递数据的方法&lowbar;Android</a>
					<div>
						前面照着android系统的裁剪图片的功能自己写了一个相似的工具.功能是大体上实现了,但留下了一个调用的问题:如何从我的程序调用这个裁剪工具,并且获得裁剪后的图片呢? 其实这个也很简单了,就是inte ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJO18Vb.html" rel="bookmark" class="title">一般故障排除步骤与方法&lowbar;硬件维护</a>
					<div>
						 一般故障排除 硬盘的分区损坏.当硬盘启动时,会出现&quot;Invalid partition table&quot;,而且用系统软盘启动后,用&quot;DIR C:&quot;命令,如果出现& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba6OwqM.html" rel="bookmark" class="title">was&period;policy 如何设置访问共享文件夹？</a>
					<div>
						问题描述 was6访问共享文件夹\cnbdc01it该如何设置was.policy文件?尝试了设置,但是还是无法访问/*AUTOMATICALLYGENERATEDONMonApr2013:00:46 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOn6V8p.html" rel="bookmark" class="title">Facebook隐私行为控制：社交网络重写社会规则</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 Facebook集中在隐私控制上的行为就像&quot;一个魔术师,用右手挥舞着明亮的彩色手帕,所以左手就像隐形了一样.从消费者的观点来说,Faceboo ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.032 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
